Target version: 4.0.0   

Resolution: Fixed   

Description

When we switch comments to reverse chronological order `action_menu` and div#update are still below History section. This

requires either scrolling to the top or to the very bottom of the page to be able to click "edit".

Is it possible to move `action_menu` and `edit` partials above div#history for User.current.wants_comments_in_reverse_order? ?

Related issues:

Related to Redmine - Patch #12524: Update issue - form position Closed

Related to Redmine - Defect #31438: Incorrect position of the "Associated rev... Closed

Related to Redmine - Patch #32370: Action menu on issues details should not f... New

Has duplicate Redmine - Feature #7637: Display edit form above History in rev... Closed 2011-02-16

Has duplicate Redmine - Feature #26861: Display Issue Edit form Position acco... Closed

Associated revisions

Revision 17412 - 2018-06-23 07:38 - Jean-Philippe Lang

Move action links and edit form above the history when displaying comments in reverse order (#23518).

History

#1 - 2016-08-08 12:45 - Anonymous

+1

This could be quite a useful addition to also have the buttons available right above the first history entry.

#2 - 2016-08-29 13:56 - Toshi MARUYAMA

- Target version set to 3.4.0

#3 - 2017-03-07 08:47 - Go MAEDA

+1 for this feature.

I usually see comments in reverse chronological order, so I have to scroll up and down frequently when I write comment while referring to recent

comments.

#4 - 2017-04-03 09:27 - Jean-Philippe Lang

- Target version deleted (3.4.0)

Such a change could have heavy consequences for plugins. We need much more requests for this before changing the issue view in this way.

#5 - 2017-04-28 04:37 - Go MAEDA

- Has duplicate Feature #7637: Display edit form above History in reverse chronological order added

#6 - 2017-04-28 15:16 - Yuuki NARA

+1

I agree with this function.

When editing, since you often see the latest history.

Scrolling the screen long will reduce operability.

#7 - 2017-04-29 23:19 - Toshi MARUYAMA
- Related to Patch #12524: Update issue - form position added

#8 - 2017-09-09 03:16 - Go MAEDA

- Related to Feature #26861: Display Issue Edit form Position according to comments chronological order added

#9 - 2017-09-09 03:17 - Go MAEDA

- Related to deleted (Feature #26861: Display Issue Edit form Position according to comments chronological order)

#10 - 2017-09-09 03:17 - Go MAEDA

- Has duplicate Feature #26861: Display Issue Edit form Position according to comments chronological order added

#11 - 2017-09-09 04:16 - Tatsuya Saito

+1

#12 - 2017-09-10 09:32 - Go MAEDA

- Target version set to 4.0.0

Jean-Philippe Lang wrote:

Such a change could have heavy consequences for plugins. We need much more requests for this before changing the issue view in this way.

 We will switch to Rails 5.1 in Redmine 4.0 and it will break a large majority of plugins. So I think we don't have to consider about plugins if we deliver

this feature in 4.0.0.

I am setting target version again in order to ask Jean-Phillpe Lang for judgment.

#13 - 2017-09-18 10:07 - Bernhard Rohloff

+1

#14 - 2017-12-15 19:03 - rip heminway

+1

#15 - 2018-06-23 07:39 - Jean-Philippe Lang

- Subject changed from Display comments in reverse chronological order: position of action_menu and edit partials. to Move action links and edit form

above the history when displaying comments in reverse order

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

#16 - 2019-05-27 07:14 - Go MAEDA

- Related to Defect #31438: Incorrect position of the "Associated revisions" block when comments are displayed in reverse chronological order added

#17 - 2019-10-30 06:28 - Go MAEDA

- Related to Patch #32370: Action menu on issues details should not flip with the history order added

Files

patch_01.patch 1.64 KB 2016-08-05 Mikhail Varabyou
